import fieldbehavior from "../../fieldbehavior";
Component({
  behaviors:[fieldbehavior],
  methods:{
    _testMethod(){
      let {context, field}=this.data;
      let random = Math.round(Math.random()*1000)+''
      context.setData({
        [field.api_name]:random
      })
    }
  },
  lifetimes:{
    attached() {
      if(wx.getSystemInfoSync().brand=="devtools"){
        const mockUtil  = require("../../mockUtils")
        mockUtil.initFieldCom(this, {
          field: {api_name:"test__c", type:'text', label:"测试字段label"},
          is_required:true,
          is_readonly: false,
          value: null
        })
      }
      
      console.group("自定义字段组件 attached")
      console.log(this.data)
      console.log(this.data.field)
      console.log(this.data.context)
      console.groupEnd()
    }
  }
});